<div class="user-capability-settings settings-container">
    <h2><?php esc_html_e('User Permissions', 'iawp'); ?></h2>
    <p><?php esc_html_e('Decide which users can view the analytics and edit the settings.', 'iawp'); ?></p>
    <form id="capabilities-form" method="post" action="options.php">
        <div class="inner">
            <div class="select-container">
                <select id="user-role-select">
                    <option><?php esc_html_e('Select a user role to edit', 'iawp'); ?></option>
                    <?php foreach ($editable_roles as $role): ?>
                        <option value="<?php esc_attr_e($role['key']); ?>"><?php esc_html_e($role['name']); ?></option>
                    <?php endforeach; ?>
                </select>
            </div>
            <div class="user-roles">
                <?php foreach ($editable_roles as $role): ?>
                    <div class="role role-<?php esc_attr_e($role['key']); ?>">
                        <select name="<?php esc_attr_e($role['key']); ?>">
                            <option value=""><?php esc_html_e('No access', 'iawp'); ?></option>
                            <?php foreach ($capabilities as $capability_key => $capability_label): ?>
                                <option value="<?php esc_attr_e($capability_key) ?>"
                                    <?php selected($role[$capability_key]) ?>
                                >
                                    <?php esc_html_e($capability_label) ?>
                                </option>
                            <?php endforeach; ?>
                        </select>
                    </div>
                <?php endforeach; ?>
            </div>
        </div>
        <p class="note"><?php esc_html_e('Admins can always view the analytics and edit the settings.', 'iawp'); ?></p>
        <div class="white-label-setting">
            <label name="iawp_white_label" for="iawp_white_label">
                <input type="checkbox" name="iawp_white_label" id="iawp_white_label" <?php checked(get_option('iawp_white_label'), true, true); ?> />
                <span><?php esc_html_e('White-label for non-admins', 'iawp'); ?></span>                
            </label>
        </div>
        <div class="save-button-container">
            <button id="save-permissions" class="iawp-button purple"><?php esc_html_e('Save Permissions', 'iawp'); ?></button>
        </div>
    </form>
</div>